
function appelle_image()
{
	
	var formData = new FormData( document.getElementById("donnees_enfant") );
	
	var requete = new XMLHttpRequest(); 
	requete.responseType = "json";
	requete.onreadystatechange = function()
	{
		if (this.readyState == 4 && this.status == 200) {
			// On nettoie
			nettoie_erreurs()
						
			// on récupère les différents champs de la réponse
			var result = this.response.result ;
			var image = this.response.image ;
			var liste_warnings = this.response.messages
			var texte = this.response.export_txt;
			var nomenfant = this.response.nomenfant ;

			// on affiche l'export des données
			document.getElementById('export').innerHTML = texte;
			document.getElementById('sectionexport').style.display = "block";
		
			
			var boutondl = document.getElementById("export_dl") ;
			boutondl.setAttribute('onclick',"download_file('donnees_"+nomenfant+".json', 'application/json;charset=utf-8','"+encodeURIComponent(texte) +"')")
		

			if(result == "success")
			{	
				// On affiche l'image
				document.getElementById('courbe').src = 'data:image/png;base64,'+(image);
				document.getElementById('sectioncourbe').style.display = "block";

				//document.getElementById("courbe_dl").setAttribute('href', 'data:image/png;base64,' + image);
				boutondl = document.getElementById("courbe_dl") ;
				boutondl.setAttribute('onclick',"download_file('courbe_"+nomenfant+".png', 'image/png;base64','"+image +"')")

				// Si y'a eu des warnings, faut les afficher
				if(liste_warnings.length != 0)
				{
					// afficher la liste des warnings
					var elem_div = document.getElementById('courbe_warnings') ;
					elem_div.style.display = "block" ;
					var ul = elem_div.children[1] ;
					for(i=0; i<liste_warnings.length; i++) {
						var li = document.createElement("li");
						li.appendChild(document.createTextNode(liste_warnings[i]));
						ul.appendChild(li);
					}
				}		
			}
			else{ // si la génération de l'image a merdé
				
				// afficher la liste des erreurs
				var elem_div = document.getElementById('courbe_erreurs') ;
				elem_div.style.display = "block" ;
				var ul = elem_div.children[1] ;
				for(i=0; i<liste_warnings.length; i++) {
					var li = document.createElement("li");
					li.appendChild(document.createTextNode(liste_warnings[i]));
					ul.appendChild(li);
				}
				
				
			}
		}
	}
	requete.open("POST","courbe/b64",true)
	requete.send(formData)
}

function nettoie_erreurs()
{
	// fonction qui nettoie les erreurs affichées sur la page
	// vider les warnings
	var elem_div = document.getElementById('courbe_warnings') ;
	elem_div.style.display = "none" ;
	var ul = elem_div.children[1] ;
	ul.innerHTML = "";
	
	// vider les erreurs
	elem_div = document.getElementById('courbe_erreurs') ;
	elem_div.style.display = "none" ;
	ul = elem_div.children[1] ;
	ul.innerHTML = "" ;
	
}


function download_file(filename,mimetype,data) {
  var element = document.createElement('a');
  element.setAttribute('href', 'data:'+mimetype+',' + data);
  element.setAttribute('download', filename);

  element.style.display = 'none';
  document.body.appendChild(element);

  element.click();

  document.body.removeChild(element);	
	
}
